# Reporting by portfolio

<p>The endpoints also include custom views. These views can be used to report multiple data object across the full portfolio in Geox and Opportunity Assessor.</p><p>All physical quantities in the responses are returned in SI units.</p><p>If you know the ID of the custom view you want to read, you can get the data directly through the custom view data by ID endpoint. Alternatively you can get all custom views and find the ID that way.</p> 


```plain {% title="Client ID" %}
edf17d1f8cc3461d8ba3f1a98ce7be1b
```

Version: 1

## Servers

```
https://eu-api.delfi.slb.com/spar
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

### appkey

AppKey/ConsumerKey from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [Reporting by portfolio](https://developer.slb.com/_bundle/solutions/opportunity-assessor/apis/reporting-by-portfolio.yaml)

## Reporting

 - [GET /reporting/v1/customviews](https://developer.slb.com/solutions/opportunity-assessor/apis/reporting-by-portfolio/reporting/getcustomviewswithvisibility.md): Returns names, IDs and descriptions of all active public custom views.
 - [GET /reporting/v2/customviewdata/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/reporting-by-portfolio/reporting/getcustomviewdatabyidv2.md): The results are paged when the number of records exceed the provided limit. Multiple calls may be required to retrieve all records. Header data is repeated for all pages. Requires user with superuser
 - [GET /reporting/v1/customviewdata/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/reporting-by-portfolio/reporting/getcustomviewdatabyid.md): v1/customviewdata is deprecated. Use v2/customviewdata instead. The data is returned with column header for data and below the rows for each entry. The rows are constrained by the limit parameter. Th
